package com.example.hangry;

import org.springframework.data.jpa.repository.JpaRepository;
import java.util.List;
import java.util.Optional;

public interface LikeRepository extends JpaRepository<Like, Long> {
    boolean existsByUserAndRecipe(User user, Recipe recipe);

    long countByRecipe(Recipe recipe);

    List<Like> findAllByUser(User user);

    void deleteByUserAndRecipe(User user, Recipe recipe);

}

